<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE tiles-definitions PUBLIC "-//Apache Software Foundation//DTD Tiles Configuration 3.0//EN" "http://tiles.apache.org/dtds/tiles-config_3_0.dtd">
<tiles-definitions>

    <!-- Login -->
    <definition name="login" template="/WEB-INF/views/layouts/login/default.jsp">
        <put-attribute name="main" value="" />
    </definition>
    <definition name="*/*.login" extends="login">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}.jsp" />
    </definition>

    <!-- Base Definition -->
    <definition name="base" template="/WEB-INF/views/layouts/base/default.jsp">
        <put-attribute name="menu_header" value="/WEB-INF/views/layouts/base/menu_header.jsp" />
        <put-attribute name="menu" value="/WEB-INF/views/layouts/base/menu.jsp" />
        <put-attribute name="main_header" value="/WEB-INF/views/layouts/base/main_header.jsp" />
        <put-attribute name="main" value="" />
    </definition>
    <definition name="*/*.base" extends="base">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}.jsp" />
    </definition>
    <definition name="*/*/*.base" extends="base">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}.jsp" />
    </definition>
    <definition name="*/*/*/*.base" extends="base">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}/{4}.jsp" />
    </definition>
    <definition name="*/*/*/*/*.base" extends="base">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}/{4}/{5}.jsp" />
    </definition>
    <definition name="*/*/*/*/*/*.base" extends="base">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}/{4}/{5}/{6}.jsp" />
    </definition>

    <!-- Popup Definition -->
    <definition name="popup" template="/WEB-INF/views/layouts/popup/default.jsp">
        <put-attribute name="main" value="" />
    </definition>
    <definition name="*/*.popup" extends="popup">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}.jsp" />
    </definition>
    <definition name="*/*/*.popup" extends="popup">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}.jsp" />
    </definition>
    <definition name="*/*/*/*.popup" extends="popup">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}/{4}.jsp" />
    </definition>
    <definition name="*/*/*/*/*.popup" extends="popup">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}/{4}/{5}.jsp" />
    </definition>
    <definition name="*/*/*/*/*/*.popup" extends="popup">
        <put-attribute name="main" value="/WEB-INF/views/{1}/{2}/{3}/{4}/{5}/{6}.jsp" />
    </definition>

</tiles-definitions>
